Package musicbrainz2 :: Module wsxml :: Class MbXmlWriter

[frames] | no frames]

# Class MbXmlWriter

source code

    object --+
             |
            MbXmlWriter

Write XML in the Music Metadata XML format.

Instance Methods

__init__(self, indentAmount=`'``` `'`, newline=`'``\n``'`) Constructor. | source code

write(self, outStream, metadata) Writes the XML representation of a Metadata object to a file. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, indentAmount=`'``` `'`, newline=`'``\n``'`)
(Constructor)

source code

Constructor.

Parameters:
  - `indentAmount` - the amount of whitespace to use per level
Overrides: object.__init__

### write(self, outStream, metadata)

source code

Writes the XML representation of a Metadata object to a file.

Parameters:
  - `outStream` - an open file-like object
  - `metadata` - a Metadata object